<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.atna.TLSSSLClientSimulator']}</h2>

        <ui:decorate template="/simulators/authenticateTestCommon.xhtml">
            <ui:param name="managerBean" value="#{authenticateClientTestManager}"/>
            <ui:define name="specificSimulatorPanel">

                <h:panelGroup
                        rendered="#{not identity.loggedIn and authenticateClientTestManager.selectedSimulator.enabled}">
                    <ui:decorate template="/layout/panels/_panel.xhtml">
                        <ui:param name="styleClass" value="panel-warning"/>
                        <ui:param name="bodyStyleClass" value="gzl-text-orange"/>
                        <span class="fa fa-exclamation-triangle"></span>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.atna.YouMustBeLoggedOntoTheApplicationToStartATest']}"/>
                    </ui:decorate>
                </h:panelGroup>

                <h:panelGroup rendered="#{identity.loggedIn and authenticateClientTestManager.selectedSimulator.enabled}">
                    <h:form id="startTestForm">

                        <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                            <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.StartConnection']}</ui:define>

                            <div class="form-horizontal">

                                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="clientTypeInput"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.ClientType']}</ui:define>
                                    <h:selectOneMenu id="clientTypeInput" styleClass="form-control gzl-select-text" required="true"
                                                     value="#{authenticateClientTestManager.clientType}">
                                        <s:selectItems value="#{authenticateClientTestManager.getClientTypes()}"
                                                       var="type" label="#{type.toString()}"/>
                                        <a4j:ajax event="change" render="startTestForm"/>
                                    </h:selectOneMenu>
                                </s:decorate>

                                <ui:repeat value="#{authenticateClientTestManager.client.parameters}"
                                           var="parameter" varStatus="loop">
                                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                        <ui:define name="label">#{parameter.label}</ui:define>

                                        <h:inputText rendered="#{parameter.type == 0}" styleClass="form-control"
                                                     value="#{parameter.valueAsString}" size="50" required="true"/>

                                        <h:inputTextarea rendered="#{parameter.type == 1}" rows="8" required="true"
                                                         value="#{parameter.valueAsString}" styleClass="form-control"/>

                                        <h:selectOneMenu rendered="#{parameter.type == 2}" styleClass="form-control gzl-select-text"
                                                         value="#{parameter.valueAsString}" required="true">
                                            <s:selectItems value="#{parameter.values}" var="type"
                                                           label="#{type.toString()}"/>
                                        </h:selectOneMenu>

                                        <rich:inputNumberSpinner rendered="#{parameter.type == 3}" required="true"
                                                                 minValue="0" value="#{parameter.valueAsString}"/>

                                    </s:decorate>
                                </ui:repeat>

                                <hr/>

                                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="targetHostInput"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.TargetHost']}</ui:define>
                                    <h:inputText id="targetHostInput" value="#{authenticateClientTestManager.host}"
                                                 size="60" required="true" styleClass="form-control"/>
                                </s:decorate>

                                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                                    <ui:param name="id" value="targetPortInput"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.atna.TargetPort']}</ui:define>
                                    <rich:inputNumberSpinner id="targetPortInput" minValue="1" maxValue="65536"
                                                             value="#{authenticateClientTestManager.port}"
                                                             required="true"/>
                                </s:decorate>
                            </div>

                            <rich:message for="buttonStartClient"/>

                            <ui:define name="panel_footer">
                                <a4j:commandButton action="#{authenticateClientTestManager.startClient()}"
                                                   value="#{messages['net.ihe.gazelle.atna.StartClient']}"
                                                   id="buttonStartClient" render=" :startTestForm, :browserform,gazelle-messages"
                                                   styleClass="gzl-btn-blue"/>
                            </ui:define>

                        </ui:decorate>

                    </h:form>
                </h:panelGroup>

            </ui:define>
        </ui:decorate>

    </ui:define>
</ui:composition>
